/*
 Theme Name:   GeneratePress Child
 Theme URI:    https://generatepress.com
 Description:  Default GeneratePress child theme
 Author:       Tom Usborne
 Author URI:   https://tomusborne.com
 Template:     generatepress
 Version:      0.1
*/
.header {
	top: 0;
	z-index: 5;
    width: 100%;
	display: flex;
    position: fixed;
	overflow: hidden;
	transition: 0.1s linear;
	background-color: white;
}
.gridHeader{
	margin: auto;
    display: flex;
    align-items: center;
}
ul.listMenu {
    display: flex;
	list-style: none;
	margin-bottom: 0;
	margin-left: auto;
	align-items: center;
    flex-direction: row;
}
li.itemMenu a, li.itemMenu a:hover, li.itemMenu a:focus, a.itemMenu, a.itemMenu:hover, a.itemMenu:focus{
	color: #3F3F3F;
}
li.itemMenu a, a.itemMenu {
    font-family: 'Optima', sans-serif;
}
li.itemMenu a, a.itemMenu, .closeMenuBtn {
	cursor: pointer;
	text-decoration: none;
}
button.btnMenu {
	padding: 0;
	border: none;
	display: flex;
    line-height: 1;
    cursor: pointer;
	font-weight: 900;
	position: relative;
	align-items: center;
	justify-content: center;
	font-family: 'Vera Humana Bold', sans-serif;
}
button.btnMenu, button.btnMenu:focus{
	color: white;
}
#headerDesk button.btnMenu, #headerDesk button.btnMenu:focus{
	border: 2px solid #DBB9B7;
	background-color: #DBB9B7;
}
#headerDesk button.btnMenu:hover{
	color: #DBB9B7;
}
button.btnMenu:hover{
	background-color: transparent;
}
/* MENU MOBILE */
.menuIcon {
	color: #DBB9B7;
	line-height: 0;
	cursor: pointer;
	font-weight: 300;
}
.sidenav {
	top: 0;
    right: 0;
	z-index: 1;
    height: 100%;
    position: fixed;
	overflow-x: hidden;
	background-color: #DBB9B7;
    transform: translateX(100%);
    transition: transform 0.5s ease;
}
a.itemMenu {
    display: block;
    transition: 0.3s;
}
a.itemMenu {
    position: relative;
}
a.itemMenu:not(:nth-child(5))::after {
	left: 0;
	content: '';
    position: absolute;
    background-color: #BC8683;
}
#headerMobile button.btnMenu, #headerMobile button.btnMenu:focus{
	border: 2px solid #BC8683;
	background-color: #BC8683;
}
#headerMobile button.btnMenu:hover{
	color: #BC8683;
}
.closeMenuBtn {
	line-height: 1;
    position: absolute;
	text-decoration: none;
}
.closeMenuBtn img {
    aspect-ratio: 1 / 1;
}
div#overlay {
	top: 0;
    left: 0;
    right: 0;
    bottom: 0;
	z-index: 1;
	width: 100%;
    height: 100%;
	display: none;
    position: fixed;
    background: #000000B2;
}
@media (max-width: 550px) {
	.entry-content{
        margin-top: 17vw !important;
    }
    .header {
        height: 17vw;
    }
    img.logoHeader {
        max-width: 11.3vw;
    }
	.menuIcon {
    	font-size: 9vw;
	}
	.sidenav#mySidenav {
		padding: 15vw 10vw 10vw;
	}
    a.itemMenu {
        font-size: 4.3vw;
		margin-bottom: 8vw;
    }
	a.itemMenu:not(:nth-child(5))::after {
        width: 18vw;
		height: 2px;
		bottom: -4vw;
    }
    button.btnMenu {
		width: 80vw;
        height: 16vw;
		font-size: 4.3vw;
    }
	.closeMenuBtn {
		top: 4.5vw;
		right: 5vw;
    }
	.closeMenuBtn img {
        width: 5.5vw;
    }
}
@media (min-width: 551px){
	a.itemMenu:not(:nth-child(5))::after {
		height: 2px;
	}
}
@media (min-width: 551px) and (max-width: 766.9px) {
	.entry-content{
        margin-top: 13vw !important;
    }
    .header {
        height: 13vw;
    }
    .menuIcon {
        font-size: 7vw;
    }
    img.logoHeader {
        max-width: 9vw;
    }
	.sidenav#mySidenav {
		padding: 12vw 8vw;
    }
    a.itemMenu {
        font-size: 3.3vw;
		margin-bottom: 7vw;
    }
	a.itemMenu:not(:nth-child(5))::after {
        width: 15vw;
		bottom: -3.5vw;
    }
    button.btnMenu {
		width: 84vw;
        height: 13vw;
		font-size: 3.3vw;
    }
	.closeMenuBtn {
		top: 3.5vw;
		right: 6vw;
    }
	.closeMenuBtn img {
        width: 3.8vw;
    }
}
@media (max-width: 766.9px) {
    .sidenav {
        width: 100%;
    }
}
@media (min-width: 767px) and (max-width: 899.9px) {
    .entry-content{
        margin-top: 11vw !important;
    }
	.header{
		height: 11vw;
	}
    img.logoHeader {
        max-width: 8.5vw;
    }
    .menuIcon {
        font-size: 5vw;
    }
    .sidenav#mySidenav {
        width: 53vw;
		padding: 8vw 7vw;
    }
    a.itemMenu{
        font-size: 1.89vw;
		margin-bottom: 5vw;
    }
    a.itemMenu:not(:nth-child(5))::after {
        width: 10vw;
        bottom: -2.5vw;
    }
    button.btnMenu {
		width: 39vw;
        height: 7vw;
		font-size: 1.89vw;
    }
	.closeMenuBtn {
        top: 3vw;
		right: 3.3vw;
    }
	.closeMenuBtn img {
        width: 2.8vw;
    }
}
@media (max-width: 899.9px){
	.gridHeader {
        max-width: 84vw;
    }
	.header{
		border-bottom: 2px solid #DBB9B7
	}
}
@media (min-width: 900px){
	.entry-content{
        margin-top: 0 !important;
    }
	.header:not(.scrolled){
		height: 0;
		border-bottom: none;
	}
	.header.scrolled{
		border-bottom: 2px solid #DBB9B7
	}
}
@media (min-width: 900px) and (max-width: 1099.9px) {
	.header{
		height: 8vw;
	}
    .gridHeader {
        max-width: 86vw;
    }
    img.logoHeader {
        max-width: 5.7vw;
    }
    .menuIcon {
        font-size: 4.5vw;
    }
    .sidenav {
        width: 42vw;
		padding: 7vw 4vw 6vw;
    }
    a.itemMenu {
		font-size: 1.61vw;
        margin-bottom: 4vw;
    }
    a.itemMenu:not(:nth-child(5))::after {
		width: 10vw;
        bottom: -2vw;
    }
    button.btnMenu {
        height: 6vw;
        width: 34vw;
		font-size: 1.61vw;
    }
    .closeMenuBtn {
        top: 2vw;
		right: 3vw;
    }
	.closeMenuBtn img {
        width: 2.1vw;
    }
}
@media (max-width: 1099.9px) {
    #headerDesk {
        display: none;
    }
    .gridHeader {
		width: 100%;
        height: 100%;
        justify-content: space-between;
    }
    img.logoHeader {
        height: 100%;
        object-fit: contain;
    }
}
@media (min-width: 1100px) {
    #headerMobile {
        display: none;
    }
	img.logoHeader {
    	width: 100%;
    	height: auto;
	}
	ul.listMenu {
        grid-gap: 3vw;
		margin-right: 3vw;
    }
}
@media (min-width: 1100px) and (max-width: 1400px) {
    .header.scrolled {
        height: 7vw;
    }
    .gridHeader {
		width: 84vw;
    }
    img.logoHeader {
        max-width: 5vw;
    }
    li.itemMenu {
        font-size: 1.32vw;
    }
    button.btnMenu {
        width: 16vw;
        height: 4vw;
		font-size: 1.32vw;
    }
}
@media (min-width: 1401px) {
    .header.scrolled {
        height: 5.2vw;
    }
    .gridHeader {
		width: 70vw;
    }
    img.logoHeader {
        max-width: 3.7vw;
    }
    li.itemMenu{
        font-size: 1.05vw;
    }
    button.btnMenu {
        width: 12vw;
		height: 3vw;
		font-size: 1.05vw;
    }
}